# PetscPClose

Closes (ends) a program on processor zero run with PetscPOpen()

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscPClose(MPI_Comm comm,FILE *fd)

Collective on MPI_Comm, but only process 0 runs the command

### Input Parameters

| comm | - MPI communicator, only processor zero runs the program
| fp | - the file pointer where program input or output may be read or PETSC_NULL if don't care

### Notes

Does not work under Windows

### See Also

PetscFOpen(), PetscFClose(), PetscPOpen()

Level:intermediate
Location: src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages